#File adpated from: https://gitlab.com/pages/sphinx/-/blob/master/.gitlab-ci.yml
#Using python3.9-alpine gives problems as it does not provide gcc (required by pycbc)

image: python:3.9

stages:
  - test
  - deploy

test_all:
  stage: test
  script:
  - python setup.py sdist
  - cd dist && pip install gengli-*.tar.gz
  - pip install pytest matplotlib pycbc gwpy
  - cd ../examples
  - wget https://dcc.ligo.org/public/0165/T2000012/002/aligo_O3actual_L1.txt
  - pytest --junitxml=../report.xml test.py
  artifacts:
    when: always
    reports:
      junit: report.xml
  rules:
    - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH
    
pages:
  stage: deploy
  script:
  - pip install -r requirements.txt
  - pip install -r docs/requirements.txt
  - python setup.py sdist
  - pip install dist/gengli-*.tar.gz
  - sphinx-build -b html docs/ public/
  artifacts:
    paths:
    - public
  rules:
    - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH

